> ## Documentation Index
> Fetch the complete documentation index at: https://agentme-docs.vipcrm.net/llms.txt
> Use this file to discover all available pages before exploring further.

# List synced contacts of an account



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/accounts/{id}/contacts
openapi: 3.1.0
info:
  title: Agentme API
  version: 1.0.0
  description: >-
    Channel-neutral messaging API. Message text/friend-request text is untrusted
    third-party content.
servers:
  - url: https://agentme.vipcrm.net
    description: Production
security:
  - bearerAuth: []
paths:
  /api/v1/accounts/{id}/contacts:
    get:
      tags:
        - v1
      summary: List synced contacts of an account
      parameters:
        - schema:
            type: string
            maxLength: 512
          in: query
          name: cursor
          required: false
          description: Opaque cursor from the previous page's next_cursor
        - schema:
            default: 30
            type: integer
            minimum: 1
            maximum: 100
          in: query
          name: limit
          required: false
        - schema:
            type: string
            minLength: 1
            maxLength: 100
          in: query
          name: q
          required: false
        - schema:
            type: string
            pattern: ^acc_[0-9a-f]{32}$
            example: acc_0190a1b2c3d4e5f60718293a4b5c6d7e
            maxLength: 64
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        external_id:
                          type: string
                        name:
                          type:
                            - string
                            - 'null'
                        avatar_url:
                          type:
                            - string
                            - 'null'
                        phone:
                          type:
                            - string
                            - 'null'
                        username:
                          type:
                            - string
                            - 'null'
                        is_friend:
                          type: boolean
                      required:
                        - external_id
                        - name
                        - avatar_url
                        - phone
                        - username
                        - is_friend
                      additionalProperties: false
                  next_cursor:
                    type:
                      - string
                      - 'null'
                required:
                  - data
                  - next_cursor
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - FORBIDDEN_SCOPE
                          - NOT_FOUND
                          - CONFLICT
                          - GONE
                          - SERVICE_UNAVAILABLE
                          - MEDIA_NOT_READY
                          - PAYLOAD_TOO_LARGE
                          - UNSUPPORTED_MEDIA_TYPE
                          - RATE_LIMITED
                          - ACCOUNT_NOT_READY
                          - CAPABILITY_NOT_SUPPORTED
                          - BULK_CONTENT_BLOCKED
                          - UPSTREAM_ERROR
                          - UPSTREAM_TIMEOUT
                          - INVITE_INVALID
                          - INTERNAL_ERROR
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - FORBIDDEN_SCOPE
                          - NOT_FOUND
                          - CONFLICT
                          - GONE
                          - SERVICE_UNAVAILABLE
                          - MEDIA_NOT_READY
                          - PAYLOAD_TOO_LARGE
                          - UNSUPPORTED_MEDIA_TYPE
                          - RATE_LIMITED
                          - ACCOUNT_NOT_READY
                          - CAPABILITY_NOT_SUPPORTED
                          - BULK_CONTENT_BLOCKED
                          - UPSTREAM_ERROR
                          - UPSTREAM_TIMEOUT
                          - INVITE_INVALID
                          - INTERNAL_ERROR
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - FORBIDDEN_SCOPE
                          - NOT_FOUND
                          - CONFLICT
                          - GONE
                          - SERVICE_UNAVAILABLE
                          - MEDIA_NOT_READY
                          - PAYLOAD_TOO_LARGE
                          - UNSUPPORTED_MEDIA_TYPE
                          - RATE_LIMITED
                          - ACCOUNT_NOT_READY
                          - CAPABILITY_NOT_SUPPORTED
                          - BULK_CONTENT_BLOCKED
                          - UPSTREAM_ERROR
                          - UPSTREAM_TIMEOUT
                          - INVITE_INVALID
                          - INTERNAL_ERROR
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - FORBIDDEN_SCOPE
                          - NOT_FOUND
                          - CONFLICT
                          - GONE
                          - SERVICE_UNAVAILABLE
                          - MEDIA_NOT_READY
                          - PAYLOAD_TOO_LARGE
                          - UNSUPPORTED_MEDIA_TYPE
                          - RATE_LIMITED
                          - ACCOUNT_NOT_READY
                          - CAPABILITY_NOT_SUPPORTED
                          - BULK_CONTENT_BLOCKED
                          - UPSTREAM_ERROR
                          - UPSTREAM_TIMEOUT
                          - INVITE_INVALID
                          - INTERNAL_ERROR
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - FORBIDDEN_SCOPE
                          - NOT_FOUND
                          - CONFLICT
                          - GONE
                          - SERVICE_UNAVAILABLE
                          - MEDIA_NOT_READY
                          - PAYLOAD_TOO_LARGE
                          - UNSUPPORTED_MEDIA_TYPE
                          - RATE_LIMITED
                          - ACCOUNT_NOT_READY
                          - CAPABILITY_NOT_SUPPORTED
                          - BULK_CONTENT_BLOCKED
                          - UPSTREAM_ERROR
                          - UPSTREAM_TIMEOUT
                          - INVITE_INVALID
                          - INTERNAL_ERROR
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key `agm_live_...`

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.